#include<simplecpp>
#include<cmath>
#include<iostream>
#include<cstdio>
#include<cstring>
using namespace std;
double power2(double x,double y);

int factorial(int n)
{
    int i,fact=1;
    if(n==0){fact=1;}
    else
        {
    for(i=1;i<=n;i++)
            {
                fact=fact*i;
            }
        }
    return fact;
}
double power1(double x,int y)
{
    int i;
    double powerrr=x;
        if(y==0.0)
            {
                powerrr=1;
            }
else if(y>0)
    {
        for(i=1;i<y;i++)
        {
            powerrr*=x;
        }
    }
 else if(y<0){
    powerrr=1/power1(x,-y); }
    return powerrr;
}
double degreetoradian(double x)
    {
        double y;
        float const pi=3.14159265;
        y=(pi/180)*x;
        return y;
    }
double radiantodegree(double x)
    {
    double y;
    float const pi=3.14159265;
    y=(180/pi)*x;
    return y;
    }

double taylor(double x)
{
    double sinx,sinp=0,sinn=0;
    int i;
    for(i=1;i<=15;i+=4)
        {
            sinp=sinp+(power1(x,i))/(factorial(i));
        }
    for(i=3;i<=15;i+=4)
        {
            sinn=sinn+(power1(x,i))/factorial(i);
        }
    sinx=sinp-sinn;
    return sinx;
}

double sine_of_angle( double x)
{
    double sinex,a;
    float const pi=3.14159265;
    for(;x>(2*pi);)
        {
            x=x-(2*(pi));
        }
    for(;x<(-2*pi);)
        {
            x=x+(2*pi);
        }
    if(x>(-(pi/2))&&x<(pi/2))
        {
            sinex=taylor(x);
        }
    else if(x>(pi/2)&&x<(3*(pi/2)))
        {
            a=pi-x;
            sinex=taylor(a);
        }
    else if(x>(3*(pi/2))&&x<(2*pi))
        {
            a=x-(2*pi);
            sinex=taylor(a);
        }
    else if(x<(-(pi/2))&&x>(-(3*(pi/2))))
        {
            a=-(pi+x);
            sinex=taylor(a);
        }
    else if(x<(-(3*(pi/2)))&&x>(-(2*pi)))
        {
            a=x+(2*pi);
            sinex=taylor(a);
        }
    else if((x=(2*pi))||(x=(-2*pi)))
        {
            sinex=0;
        }

    else if ((x=pi/2)||(x=(-(3*pi/2))))
        {
            sinex=1;
        }
    else if((x=3*pi/2)||(x=(-pi/2)))
        {
            sinex=(-1);
        }
return sinex;
}
double cosine_of_angle(double x)
{
    double cosinex;
    float const pi=3.141592625;
    {
        double cosinex,p;
        p=(pi/2)-x;
        cosinex=sine_of_angle(p);

        return cosinex;
}
}
double tan(double y111)
{
    double tangent,k,l;
    k=sine_of_angle(y111);
    l=cosine_of_angle(y111);
    tangent=k/l;
    return tangent;
}
double cosec(double x)
{
    double cosecx;
    cosecx=1/(sine_of_angle(x));
    return cosecx;
}
double sec(double x)
{
    double secx;
    secx=1/(cosine_of_angle(x));
    return secx;
}
double cot(double x)
{
    double cotx;
    cotx=1/(tan(x));
    return cotx;
}
double exp(double x)
{
    double expx,eseries=1;
    int i,j,y;
    for(i=1;x>(0.0001);++i)
    {
        x=x/10;
    }

    for(j=1;j<15;j++)
        {
            eseries= eseries+power1(x,j)/factorial(j);
        }
    y=power1(10,i-1);
    expx=power1(eseries,y);
    return expx;
}
double baseten(double x)
{
    double y;double a=10.0;
    y=power2(a,x);
    return y;
}
double ln(double x)
{
     double y,series1=0,series2=0,series,ln;
     int i,j,k;
     float const e=2.71828183;
     for(i=1;x>1.00001;++i)
        {
            x=x/e;
        }
     y=x-1;
     for(j=1;j<=50;j+=2)
        {
            series1=series1+(power1(y,j))/j;
        }
     for(k=2;k<=50;k+=2)
     {
        series2=series2+(power1(y,k))/k;
     }
     series=series1-series2;
      ln=i+series-1;
      return ln;
}
  double logritm(double x){
  double y,logi;
  y=1/(ln(10.0));
  logi=y*(ln(x));
  return logi;
  }


double simplesum(double* elements,int n)
{
    int i;
    double sumx=0.0;
    for(i=0;i<n;i++)
    {
        sumx+=elements[i];
    }
    return sumx;
}
double sumsquared(double* elements,int n)
{
    int i;
    double sum=0.0;
    for(i=0;i<n;i++)
    {
        sum+=(elements[i]*elements[i]);
    }
    return sum;
}
double standarddeviations(int n)

{
    int numele=n;
    double squaredsum,sum;
    double sq_sum_upon_num,mean,variance,SD;
    double* elements,*ptrn;


    elements=new double[numele];
    cout<<"enter the elements one by one "<<endl;
    cout<<"please do not enter all the numbers equal"<<endl;
    for(int i=0;i<numele;i++)
    {
        if(elements!=NULL)
        cin>>elements[i];
        else return -1;
    }
    squaredsum=sumsquared(elements,numele);
    cout<<"the squared sum is  "<<squaredsum<<endl;
    sum=simplesum(elements,numele);
    cout<<"the sum is  "<<sum<<endl;
    sq_sum_upon_num=(squaredsum)/numele;
    mean=sum/numele;
    cout<<"the mean is"<<mean<<endl;
    if(((squaredsum-(numele*(mean*mean))))!=0)
    {variance =((sq_sum_upon_num)-(mean*mean));}
    else
    {
        variance=0;
    }
    cout<<"the variance of the numbers you have entered is "<<variance<<endl;
    cout<<"the square root of variance is the standard deviation"<<endl;
    SD=sqrt(variance);
    cout<<"the standard deviation is "<<SD<<endl;
    if(elements!=NULL)
    {
        delete[] elements;
    }
    return SD;
}
int findindexofmin(double A[], int start ,int end )
{
    int min=start,x;
    for(x=start ;x<end; x++ )
        {
            if(A[min]>A[x])
                {min=x; }
        }
     return min;
}

double power2(double x,double y)
{
  double logx,powerrr;
  if(x==0)
    {
        powerrr=0;
    }
  else if(x>0)
    {
  logx=y*(ln(x));
  powerrr=exp(logx);
    }
  return powerrr;
}
double sqroot(double x)
{
     double y;
    y=power2(x,0.5);
    return y;
}
double cuberoot(double x)
{
    double y;
    if(x>=0){
    y=power2(x,0.333333);}
    else{y=-power1(-x,0.33333);}
    return y;
}
int nCr(int n,int r )
{
    int comb;
    comb=factorial(n)/(factorial(r)*factorial(n-r));
    return comb;
}
int nPr(int n,int r)
{
    int per;
    per=nCr(n,r)*factorial(r);
    return per;
}
double sinhx(double x)
{
    double result;
    result=((exp(x))-(exp(-x)))/2;
    return result;
}
double coshx(double x)
{

    double result;
    result=((exp(x)+exp(-x)))/2;
    return result;
}

void swap(double a,double b)
 {
    double temp;
    temp=a;
    a=b;
    b=temp;
    return;
}

struct quadratic
{
    double a,b,c,x,root_result1,root_result2;


    void Find_roots()
    {
        if((b*b)-4*(a*c)>=0)
        {
            root_result1=(-b-sqrt((b*b)-4*(a*c)))/(2*a);
            root_result2=(-b-sqrt((b*b)-4*(a*c)))/(2*a);
            cout<<"the roots of the equation are "<<root_result1<<" and  "<<root_result2<<endl;
        }
        else
        {
            cout<<"the root are imaginery "<<endl;
            double q=b/(2*a);
            double r=sqrt(-(b*b)+4*(a*c))/(2*a);
            cout<<"the first root is"<<endl;
            printf("%f+i%f\n",q,r);
            cout<<"the second root is"<<endl;
            printf("-%f+i%f\n",q,r);

        }
        return;
    }
    int evaluate_quad()
    {

        return(a*(x*x)+b*x+c);
    }
    void find_max_or_min()
    {
        if(a>=0)
        {
            cout<<"it will have a minima"<<endl;
            double minima;
            minima=(-b/(2*a));
            cout<<"the minima will occur at "<<minima<<endl;
            double fminima;
            fminima=((-(b*b)+4*(a*c))/(4*a));
            cout<<"the minimum value will be  "<<fminima<<endl;
            return;
        }
        if(a<0)
        {
         cout<<"it will have a maxima"<<endl;
            double maxima;
            maxima=(-b/(2*a));
            cout<<"the maxima will occur at "<<maxima<<endl;
            double fmaxima;
            fmaxima=(-(b*b)-4*(a*c)/(4*a));
            cout<<"the maximum value will be  "<<fmaxima<<endl;
            return;
        }
    }
    void differential_quad()
    {
        cout<<"the differential quardatic will be 2*a*x+b"<<endl;
        double differential;
        differential=2*a*x+b;
        cout<<"the differential at the given value of x is"<<differential<<endl;
        return;

    }
    void integration_quad()
    {
        double integral;
        integral=(a*x*x*x)/3+(b*x*x)/2+c*x;

        cout<<"the integral at the given value of x is "<<integral<<endl;
        return;
    }
};
void leastsquareline(int num)
{
    double *x;double *y;int counte=0;
    x=new double[num];
    y=new double[num];
    for(int i=0;i<num;i++,counte++)
    {
        cout<<"enter the x cordinate of "<<counte<<" point"<<endl;
        cin>>x[i];
        cout<<"enter the y cordinate of "<<counte<<" point "<<endl;
        cin>>y[i];
    }
    double p=0.0,q=0.0,r=0.0,s=0.0;
    p=sumsquared(x,num);
    for(int k=0;k<num;k++)
    {
        q+=x[k];
        r+=x[k]*y[k];
        s+=y[k];
    }
    double m=(num*r-q*s)/(num*p-q*q);
    double c=(p*s-q*r)/(num*p-q*q);
    cout<<"the least square line has slope of "<<m<<"  with intercept on y axis of "<<c<<endl;
    return;
}
//88888888888888888888888888888888888888888888888888888888888888888888888888888888888888888
double sum_pvd;
int sum_pvi;
int getnumber(int &x,int &y)
    {
       int a=0;
       if(x>=10&&x<=60&&y<=600&&y>=560)
        {
            return a;        }
        if(x>=10&&x<=60&&y<=550&&y>=510)
        {
            return a+1;
        }
        if(x>=70&&x<=120&&y<=550&&y>=510)
        {
            return a+2;

        }
        if(x>=130&&x<=180&&y<=550&&y>=510)
        {
            return a+3;
        }
        if(x>=10&&x<=60&&y<=500&&y>=460)
        {
            return a+4;
        }
        if(x>=70&&x<=120&&y<=500&&y>=460)
        {
            return a+5;
        }
        if(x>=130&&x<=180&&y<=500&&y>=460)
        {
            return a+6;
        }
        if(x>=10&&x<=60&&y<=450&&y>=410)
        {
            return a+7;
        }
        if(x>=70&&x<=120&&y<=450&&y>=410)
        {
            return a+8;
        }
        if(x>=130&&x<=180&&y<=450&&y>=410)
        {
            return a+9;
        }

    }
int ten_power(int &x,int &y)
            {
                sum_pvi=1;int a=0;
                if(x<(y-1))
                {
                       for(int i=x;i<y-1;i++)
                    {
                     sum_pvi*=10;
                    }
                    return sum_pvi;
                }
                    else return (a+1);
            }
double inverseten_power(int &dot,int &sign,int &val)
            {
                sum_pvd=1.0;
                for(int i=dot;i<sign;i++)
                {
                    sum_pvd/=10;
                }
                for(int i=val;i<sign;i++)
                {
                    sum_pvd*=10;
                }
                return sum_pvd;
            }

int main()
{
   initCanvas("THE SCIENTIFIC CALCULATOR",310,610);
   Rectangle mains(155,305,306,606);
   mains.setColor(COLOR(255,0,0));
   Rectangle display(155,110,290,200);
   display.setColor(COLOR(255,0,0));


       Rectangle k0(35,580,50,40);
            Text t0(35,580,"0");
            k0.setColor(COLOR(255,0,0));
       Rectangle kp(95,580,50,40);
            Text tp(95,580,".");
            kp.setColor(COLOR(255,0,0));
       Rectangle kpie(155,580,50,40);
            Text tpie(155,580,"cons.");
            kpie.setColor(COLOR(255,0,0));
       Rectangle kans(215,580,50,40);
            Text tans(215,580,"=");
            kans.setColor(COLOR(255,0,0));
       Rectangle kpercent(275,580,50,40);
            Text tperc(275,580,"%");
            kpercent.setColor(COLOR(255,0,0));
       Rectangle k1(35,530,50,40);
            Text t1(35,530,"1");
            k1.setColor(COLOR(255,0,0));
       Rectangle k2(95,530,50,40);
            Text t2(95,530,"2");
            k2.setColor(COLOR(255,0,0));
       Rectangle k3(155,530,50,40);
            Text t3(155,530,"3");
            k3.setColor(COLOR(255,0,0));
       Rectangle kplus(215,530,50,40);
            Text tplus(215,530,"+");
            kplus.setColor(COLOR(255,0,0));
       Rectangle kminus(275,530,50,40);
            Text tminus(275,530,"-");
            kminus.setColor(COLOR(255,0,0));
       Rectangle k4(35,480,50,40);
            Text t4(35,480,"4");
            k4.setColor(COLOR(255,0,0));
       Rectangle k5(95,480,50,40);
            Text t5(95,480,"5");
            k5.setColor(COLOR(255,0,0));
       Rectangle k6(155,480,50,40);
            Text t6(155,480,"6");
            k6.setColor(COLOR(255,0,0));
       Rectangle kmult (215,480,50,40);
            Text tmult(215,480,"*");
            kmult.setColor(COLOR(255,0,0));
       Rectangle kdiv(275,480,50,40);
            Text tdiv(275,480,"/");
            kdiv.setColor(COLOR(255,0,0));
       Rectangle k7(35,430,50,40);
            Text t7(35,430,"7");
            k7.setColor(COLOR(255,0,0));
       Rectangle k8(95,430,50,40);
            Text t8(95,430,"8");
            k8.setColor(COLOR(255,0,0));
       Rectangle k9(155,430,50,40);
            Text t9(155,430,"9");
            k9.setColor(COLOR(255,0,0));
       Rectangle kdel(245,430,100,40);
            Text tdel(245,430,"CALCU");
            kdel.setColor(COLOR(255,0,0));
       Rectangle ksquare(35,380,50,40);
            Text tsquare(35,380,"Pow");
            ksquare.setColor(COLOR(255,0,0));
       Rectangle khyp(95,380,50,40);
            Text thyp(95,380,"hyp");
            khyp.setColor(COLOR(255,0,0));
       Rectangle ksqroot(155,380,50,40);
            Text tsqroot(155,380,"Conv.");
            ksqroot.setColor(COLOR(255,0,0));
       Rectangle kpow(215,380,50,40);
            Text tpow(215,380," Q  ");
            kpow.setColor(COLOR(255,0,0));
       Rectangle kmem(275,380,50,40);
            Text tmem(275,380,"MEM");
            kmem.setColor(COLOR(255,0,0));
       Rectangle kexp(35,330,50,40);
            Text texp(35,330,"e^");
            kexp.setColor(COLOR(255,0,0));
       Rectangle kln(95,330,50,40);
            Text tln(95,330,"Ln");
            kln.setColor(COLOR(255,0,0));
       Rectangle klog(155,330,50,40);
            Text tlog(155,330,"Log");
            klog.setColor(COLOR(255,0,0));
       Rectangle kcombo(215,330,50,40);
            Text tcombo(215,330,"nCr,nPr");
            kcombo.setColor(COLOR(255,0,0));
       Rectangle kperm(275,330,50,40);
            Text tperm(275,330,"!");
            kperm.setColor(COLOR(255,0,0));
       Rectangle kshift(35,255,50,60);
            Text tshift(35,255,"Stats");
            kshift.setColor(COLOR(255,0,0));
       Rectangle ksin(95,255,50,60);
            Text tsin(95,245,"Sin");
            Text tsin_inverse(95,265,"");
            ksin.setColor(COLOR(255,0,0));
       Rectangle kcos(155,255,50,60);
            Text tcos(155,245,"cos");
            Text tcos_inverse(155,265,"");
            kcos.setColor(COLOR(255,0,0));
       Rectangle ktan(215,255,50,60);
            Text ttan(215,245,"tan");
            Text ttan_inverse(215,265,"");
            ktan.setColor(COLOR(255,0,0));
       Rectangle ksumsquare(275,255,50,60);
            Text tsusquare(275,245,"Trigo");
            Text tsum(275,265,"inv");
            ksumsquare.setColor(COLOR(255,0,0));
wait(1);

//88888888888888888888888888888888888888888888888888888888888888888888888888888888888
    int cPos[100],x[100],y[100];
    int operator_value=0,operators=0,equal_value=0,suma=0,sumb=0,sum_int1a=0,sum_int2a=0,k,sum_num[100];
    int sinofunc_value=0,coso_value=0,tano_value=0;
    int logFunc_value=0,lnFunc_value=0,expFunc_value=0;
    int percent_value=0,decimal_value1a,decimal_value2a;
    int accessFunc=0,centreText=0;
    double percentage=0.0,sum_fraction1a=0.0,sum_fraction2a=0.0;
    double log_value=0.0,ln_value=0.0,exp_value=0.0;
    double addresult=0.0;
    int l,m,n,p,b,c,d,e,f,g,h;
    char new_value;
    double number=0.0,sine_value=0.0,cos_value=0.0,tan_value=0.0;
    double array_number[100];
    char choices;
    int count=0;
    quadratic equation;
    Text tdisplay[100];
for(int i=0;i<100;i++)
{
        cPos[i]=getClick();
        wait(0.5);
        x[i]=cPos[i]/65536;
        y[i]=cPos[i]%65536;
        if(x[i]>=10&&x[i]<=60&&y[i]>=225&&y[i]<=285)
        {
            closeCanvas();
            int choicestats,numele;
            bool ch;ch=false;



                    cout<<"1. Standard Deviation \t\t";
                    cout<<"2. Median and mode"<<endl;
                   // cout<<"3. Mode \t\t";
                    cout<<"3. Least Square Line"<<endl;

                    cout<<"Enter the number according to stats function you want to use"<<endl;
                    cin>>choicestats;
            switch(choicestats)
            {
                case 1: {cout<<"Enter the number of elements whose standard deviation you wish to find:"<<endl;
                        cin>>numele;
                        cout<<"Your result is:"<<standarddeviations(numele)<<endl;
                        break;}
                case 2: {double median,mode,A[25];

                            int i,n,j,minIndx,maxIndx,maxcount,count[25];
                            cout<<"Enter the no. of values:";
                            cin>>n;
                            cout<<"Enter the values:"<<endl;
                            for(i=0;i<n;i++) {
                                 cin>>A[i];
                            }
                            //Code for Mode begins
                            for(i=0;i<n;i++)
                            {
                                for(j=i;j<n;j++)
                                {
                                    if(A[i]==A[j]){ch==true;break;}
                                }
                            }
                            if(ch==true)
                            {
                            for(i=0;i<n;i++) { count[i]=0;}
                              for(i=0;i<n;i++) {
                                for(j=0;j<n;j++){
                                if(A[j]==A[i]) {
                                                    count[i]++;   //increases count of repeated numbers
                                                }
                                }
                              }
                               maxcount=count[0];
                               for(i=0;i<n;i++)
                                {
                                if(maxcount<=count[i]) {maxcount=count[i]; //finds most number of counts
                                maxIndx=i;}
                                 }
                                 mode=A[maxIndx];
                                 cout<<"Mode of given data"<<mode<<endl;}
                                 if(ch==false)
                                 {
                                     cout<<"the given data contains all element different"<<endl;
                                 }
                                  //code for mode ends
                               //Code for Median begins
                               int currmin;
                               for(i=0;i<n;i++)
                                {
                               currmin=findindexofmin(A,i,n);
                               swap(A[i],A[currmin]);
                               }
                                 for(i=0;i<n;i++) { cout<<A[i]<<"  ";}
                               if(n%2==1){median=A[((n+1)/2)-1];}
                               else{median=(A[(n/2)-1]+A[n/2])/2; }
                               cout<<"Median of given numbers is:"<<median<<endl;break;}

                case 3: {cout<<"Enter the number of elements whose least square line you wish to find:"<<endl;
                        cin>>numele;
                        leastsquareline(numele);break;}
           default :cout<<"enter the valid number";

                    }


        }

    if(x[i]>=190&&x[i]<=240&&y[i]>=310&&y[i]<=350)
        {
              closeCanvas();
                int choicecom,r;char ch;
                for(i=0;i<100;i++)
                {



                cout<<"1. Combination "<<endl;
                cout<<"2. Permutation"<<endl;
                cout<<"Enter the number according to  function you want to use"<<endl;
                cin>>choicecom;
                switch(choicecom){
                 case 1: cout<<"Enter the number whose combination you wish to calculate "<<endl;           //perm & combo
                        cin>>r;
                        cout<<"Enter total number of objects" <<endl;
                        cin>>n;
                        if(r>n){
                         cout<<"combinations are not defined"<<endl;}
                         else{
                        cout<<"The combinations of your input data is "<<nCr(n,r)<<endl;}
                        break;
                 case 2: cout<<"Enter the number whose permutation you wish to calculate "<<endl;
                        cin>>r;
                        cout<<"Enter total number of objects" <<endl;
                        cin>>n;
                        if(r>n){
                         cout<<"Permutations are not defined"<<endl;}
                         else{
                        cout<<"The permutations of your input data is "<<nPr(n,r)<<endl;}

                }
                cout<<"do you wish to continue? "<<endl;
                cout<<"press y for 'yes' and no for 'no'"<<endl;
                cin>>ch;
                if(ch=='y'){continue;}
                if(ch=='n'){break;}
                }


    }
    if(x[i]>=250&&x[i]<=300&&y[i]>=225&&y[i]<=285)
        {
     closeCanvas();
    int choicetrigo;double x111;
    char ch;
    while(true)
    {


        cout<<"1. Sectant "<<endl;
        cout<<"2. Cosectant"<<endl;
        cout<<"3. Cotangent "<<endl;
        cout<<"4. Sine inverse"<<endl;
        cout<<"5. Cosine inverse "<<endl;                                                          //trigo functions
        cout<<"6. Tan inverse"<<endl;
        cout<<"Enter the number according to Trigonometric function you want to use"<<endl;
        cin>>choicetrigo;
        switch(choicetrigo){
        case 1: cout<<"Enter the angle whose sec you wish to calculate in radians"<<endl;
                cin>>x111;
                if(cosine_of_angle(x111)==0){cout<<"sec is not defined"<<endl;}
                else{
                cout<<"The sec of your input data is "<<sec(x111)<<endl;
                }
                break;
        case 2: cout<<"Enter the angle whose cosec you wish to calculate in radians"<<endl;
                cin>>x111;
                if(sine_of_angle(x111)==0){cout<<"cosec is not defined"<<endl;}
                else{
                cout<<"The cosec of your input data is "<<cosec(x111)<<endl;
                }
                break;
        case 3: cout<<"Enter the angle whose cot you wish to calculate in radians"<<endl;
                cin>>x111;
                if(tan(x111)==0){cout<<"cot is not defined"<<endl;}
                else{
                cout<<"The cot of your input data is "<<cot(x111)<<endl;
                }
                break;
        case 4:cout<<"Enter the number whose sine inverse you wish to calculate "<<endl;
                cin>>x111;
                if((x111>1)||(x111<-1)){
                 cout<<"Sine inverse is not defined "<<endl;}
                    else{
                cout<<"The sine inverse of your input data is "<<asin(x111)<<endl;}
                break;

        case 5:cout<<"Enter the number whose cosine inverse you wish to calculate "<<endl;
                cin>>x111;
                if((x111>1)||(x111<-1)){
                 cout<<"cosine inverse is not defined "<<endl;}
                    else{
                cout<<"The sine inverse of your input data is "<<acos(x111)<<endl;}
                break;
        case 6:cout<<"Enter the number whose tan inverse you wish to calculate "<<endl;
                cin>>x111;

               cout<<"The tan inverse of your input data is "<<atan(x111)<<endl;



        }
        cout<<"do you wish to continue? "<<endl;
                cout<<"press y for 'yes' and no for 'no'"<<endl;
                cin>>ch;
                if(ch=='y'){continue;}
                if(ch=='n'){break;}


    }
    }

        if(x[i]>=10&&x[i]<=60&&y[i]>=360&&y[i]<=400)
            {
     closeCanvas();
     int choicepower;
     double x1,x111y,x111w,x111u,x111p,y111p;
     char ch;
     int choicex;
     while(true)
        {
        cout<<"Enter the number according to Power function you want to use"<<endl;
        cout<<"1. Square "<<endl;
        cout<<"2. square root"<<endl;
        cout<<"3. cube root"<<endl;
        cout<<"4. General Power"<<endl;
        cin>>choicepower;
        switch(choicepower)
        {
        case 1: {cout<<"Enter the number whose square you wish to calculate"<<endl;
                 cin>>x1;int a=2;
                 cout<<"The value of square is "<<power1(x1,a)<<endl;                             //power function
                 break;}
        case 2: {cout<<"Enter the number whose sq root  you wish to calculate"<<endl;
                cin>>x111y;
                if(x111y<0){
                  cout<<"Square root is not defined"<<endl;}
                  else{
                cout<<"The sq root of your input data is "<<sqrt(x111y)<<endl;}
                break;}
        case 3:{cout<<"Enter the number whose cube root you wish to calculate"<<endl;
                 cin>>x111w;
                 cout<<"The value of cube root is "<<cuberoot(x111w)<<endl;
                 break;}
        case 4: {cout<<"Enter the number accordingly"<<endl;
                cout<<"1. If exponent is integer"<<endl;
                cout<<"2. If exponent is non integer"<<endl;

                cin>>choicex;
                switch(choicex){

                {case 1:cout<<"Enter the number whose power you wish to calculate "<<endl;
                cin>>x111u;int y111u;
                cout<<"Enter the value of power"<<endl;
                cin>>y111u;
                cout<<"Result of computation is"<<power1(x111u,y111u)<<endl;
                 break;}

                {case 2 : cout<<"Enter the number whose power you wish to calculate "<<endl;
                cin>>x111p;
                cout<<"Enter the value of power"<<endl;
                cin>>y111p;
                if(x111p<0){cout<<"Power is not defined"<<endl;}
                else{
                cout<<"Result of computation is"<<power2(x111p,y111p)<<endl;}}
                }}
        }
        cout<<"do you wish to continue? "<<endl;
                cout<<"press y for 'yes' and no for 'no'"<<endl;
                cin>>ch;
                if(ch=='y'){continue;}
                if(ch=='n'){break;}
        }
     }

     if(x[i]>=70&&x[i]<=120&&y[i]>=360&&y[i]<=400){
     closeCanvas();
     int choicehyp; double x111;
     char ch;
     while(true)
     {

                                                                        //hyp functions
        cout<<"1. sinh"<<endl;
        cout<<"2. cosh"<<endl;
        cout<<"Enter the number according to Hyperbolic  function you want to use"<<endl;
        cin>>choicehyp;
        switch(choicehyp){
        case 1: cout<<"Enter the number whose sinh you wish to calculate"<<endl;
                 cin>>x111;
                 cout<<"The value of sinhx is "<<sinhx(x111)<<endl;
                 break;
        case 2: cout<<"Enter the number whose cosh  you wish to calculate"<<endl;
                cin>>x111;
                cout<<"The value of coshx of your input data is "<<coshx(x111)<<endl;
                        }

      cout<<"do you wish to continue? "<<endl;
                cout<<"press y for 'yes' and no for 'no'"<<endl;
                cin>>ch;
                if(ch=='y'){continue;}
                if(ch=='n'){break;}


     }}

     if(x[i]>=130&&x[i]<=180&&y[i]>=360&&y[i]<=400)
        {
     closeCanvas();
     int choiceconv;
     double x111;
     char ch;
     while(true){

        cout<<"1. Degree to Radian"<<endl;
        cout<<"2. Radian to degree"<<endl;
        cout<<"Enter the number according to Conversion  function you want to use"<<endl;
        cin>>choiceconv;
      switch(choiceconv){

      case 1:cout<<"Enter the number whom you want to convert in Radian:"<<endl;            //degree to radian convertor
             cin>>x111;
             cout<<"Result of your computation is:"<<degreetoradian(x111)<<endl;
             break;
     case 2:cout<<"Enter the number whom you want to convert in Degree:"<<endl;
             cin>>x111;
             cout<<"Result of your computation is:"<<radiantodegree(x111)<<endl;



      }
      cout<<"do you wish to continue? "<<endl;
                cout<<"press y for 'yes' and no for 'no'"<<endl;
                cin>>ch;
                if(ch=='y'){continue;}
                if(ch=='n'){break;}
     }
     }
     if(x[i]>=190&&x[i]<=240&&y[i]>=360&&y[i]<=400){
     closeCanvas();
     int choose;
     char ch;
     while(true)
     {
         cout<<"Quadratic equation is of form: a(x^2)+bx+c"<<endl;

     cout<<"Enter the value of a:"<<endl;
     cin>>equation.a;
     cout<<"Enter the value of b:"<<endl;
     cin>>equation.b;
     cout<<"Enter the value of c:"<<endl;
     cin>>equation.c;
     cout<<"Enter the value of x:"<<endl;
     cin>>equation.x;
     int choose;
    cout<<"please enter the choice which one do you want to do"<<endl;

     cout<<"1. Value of the expression "<<endl;
     cout<<"2. Finding the root of the equation"<<endl;
     cout<<"3. Find the integral of the equation"<<endl;
     cout<<"4. Find the differential of the quardatic equuation"<<endl;
     cout<<"5. Find the max or the min of the equaton"<<endl;

        cin>>choose;
        switch(choose)
        {
            case 1:cout<<"the value of the function is "<<equation.evaluate_quad()<<endl;break;
            case 2:equation.Find_roots();break;
            case 3:equation.integration_quad();break;
            case 4:equation.differential_quad();break;
            case 5:equation.find_max_or_min();break;
            default :cout<<"you have entered wrong choice";
        }
        cout<<"do you wish to continue? "<<endl;
                cout<<"press y for 'yes' and no for 'no'"<<endl;
                cin>>ch;
                if(ch=='y'){continue;}
                if(ch=='n'){break;}
     }


     }
    if(x[i]>=250&&x[i]<=300&&y[i]>=310&&y[i]<=350)
        {
        closeCanvas();int x111;char ch;
        while(true)
        {

        cout<<"Enter the number whose factorial you wish to calculate "<<endl;
                cin>>x111;
                if(x111<0)
                    {
                        cout<<"Factorial is not defined"<<endl;
                    }
                else
                    {
                        cout<<"The  factorial of your data  is "<<factorial(x111)<<endl;
                    }
                cout<<"do you wish to continue? "<<endl;
                cout<<"press y for 'yes' and no for 'no'"<<endl;
                cin>>ch;
                if(ch=='y'){continue;}
                if(ch=='n'){break;}
        }

        }

        if(y[i]>=360&&y[i]<=400&&x[i]>=250&&x[i]<=300)
        {
            closeCanvas();


                for(i=0;i<100;i++)
                {

                        cout<<"enter your choice"<<endl;
                        cout<<"press your choices after  pressing caps lock ON"<<endl;

                        cout<<"for storing   a value  press       S    "<<endl;
                        cout<<"for retriving a value  press       R    "<<endl;
                        cout<<"for exitng             press       E    "<<endl;
                        char choices1;
                        cin>>choices1;

                            //count++;

                            switch(choices1)

                        {case 'S':{

                                           cout<<"your current status is that you have used "<<count<<"  number of elements"<<endl;
                                           cout<<"enter your "<<count+1<<"  element"<<endl;
                                           cin>>array_number[count];
                                            count++;

                                        }break;


//            if(choices=='R'){break;}
//            }
                            case 'R':        {
                                                cout<<"you have "<<count<<"stored elements"<<endl;
                                                for(i=0;i<count;i++)
                                                {
                                                    cout<<i+1<<".           "<<array_number[i]<<"     "<<endl;
                                                }

                                                cout<<"enter the number of index element you wish to use"<<endl;
                                                cin>>l;

                                                cout<<"choose the operation you want to perform  on it"<<endl;
                                                cout<<"you have following choices "<<endl;
                                                        cout<<"1. sine function "<<endl;
                                                        cout<<"2. cosine function"<<endl;
                                                        cout<<"3. tangent function"<<endl;
                                                       cout<<"4. logarithm "<<endl;
                                                        cout<<"5. exponential power   "<<endl;
                                                       cout<<"6.factorial"<<endl;
                                                    cout<<"7.sine inverse"<<endl;
                                                        cout<<"8.cosine inverse"<<endl;
                                                        cout<<"9.sq root "<<endl;
                                                        cout<<"10.cube root "<<endl;
                                                        cout<<"11.tan inverse"<<endl;

                int choice;
                cin>>choice;
                    switch(choice)
              {
        case 1:cout<<" sine you wish to calculate in radians"<<endl;

                cout<<"The sine of your input data is "<<sine_of_angle(array_number[l-1])<<endl;
                break;
        case 2 :cout<<"cosine you wish to calculate in radians"<<endl;

                cout<<"The cosine of your input data is "<<cosine_of_angle(array_number[l-1])<<endl;
                break;
        case 3:cout<<"tangent you wish to calculate in radians"<<endl;

                if(cosine_of_angle(array_number[l-1])==0){
                    cout<<"Tangent is not defined"<<endl;
                          }
                 else{
              cout<<"The tangent of your input data is "<<tan(array_number[l-1])<<endl;}
                break;
        case 4 :cout<<"logarithm you wish to calculate "<<endl;

                if(array_number[l-1]<=0){
                  cout<<"Logarithm is not defined "<<endl;
                }
                else{
                cout<<"The logarithm of your input data is "<<ln(array_number[l-1])<<endl;}
                break;

        case 5 :cout<<"Enter the number whose exponential value you wish to calculate "<<endl;

                cout<<"The exponential value of your input data is "<<exp(array_number[l-1])<<endl;
                break;
        case  6:cout<<" factorial you wish to calculate "<<endl;

                if(array_number[l-1]<0){
                  cout<<"Factorial is not defined"<<endl;
                }
                else{
                cout<<"The  factorial of your data  is "<<factorial(array_number[l-1])<<endl;}
                break;


        case 7:cout<<" sine inverse you wish to calculate "<<endl;
                if((array_number[l-1]>1)||(array_number[l-1]<-1)){
                 cout<<"Sine inverse is not defined "<<endl;}
                    else{
                cout<<"The sine inverse of your input data is "<<asin(array_number[l-1])<<endl;}
                break;

        case 8:cout<<"Enter the number whose cosine you wish to calculate "<<endl;

                if((array_number[l-1]>1)||(array_number[l-1]<-1)){
                   cout<<"Cosine inverse is not defined"<<endl;
                }
                else{
                cout<<"The cosine inverse of your input data is "<<acos(array_number[l-1])<<endl;}
                break;

        case 9:cout<<"sq root  you wish to calculate"<<endl;

                if(array_number[l-1]<0){
                  cout<<"Square root is not defined"<<endl;}
                  else{
                cout<<"The sq root of your input data is "<<sqroot(array_number[l-1])<<endl;}
                break;

         case 10:cout<<" cube root you wish to calculate"<<endl;

                 cout<<"The value of cube root is "<<cuberoot(array_number[l-1])<<endl;
                 break;
        case 11:cout<<"tan inverse which you wish too compute"<<endl;
                cout<<"the value of tsn inversse is "<<atan(array_number[l-1])<<endl;
                break;
       default:cout<<"not a valid choice";

               }
            break;


            }
            case 'E':
            {
                cout<<"Thanks for using me :)";
                break;
            }break;
            default : {
            cout<<"your choice is wroong kindly enter right choice"<<endl;
            }
            }
            }
                    break;
    }


//        if(x[i]>=250&&x[i]<=300&&y[i]>=225&&y[i]<=285)
//        {
//            closeCanvas();
//            int numele;
//            cout<<"enter number of elements whose standard deviation  is to be found"<<endl;
//                cin>>numele;
//
//                 cout<<"The value of standard deviation of your input data is "<<standarddeviations(numele)<<endl;

//
//
//        }
if(x[i]>=130&&x[i]<=180&&y[i]>=560&&y[i]<=600)
{
    closeCanvas();
    cout<<"the calci allows you to do operations on the constants"<<endl;

    cout<<"the calci gives you following functions"<<endl<<endl<<endl;
   cout<<"Speed of light	             |c        |      =   299 792 458 m/s"<<endl;
   cout<<"magnetic constant              |         |      =   12.566 37061 * 10^(-7) N /(amp)^2"<<endl;
   cout<<"electric constant              |         |      =   8.854 187 817 * 10^(-12) F /m"<<endl;
   cout<<"Planck constant                |h        |      =   6.626 068 76(52)* 10^(-34) Js"<<endl;
   cout<<"elementary charge              |e        |      =   1.602 176 462(63)*10^(-19) C"<<endl;
   cout<<"electron mass                  |me       |      =   9.109 381 88(72)*10^(-31) kg"<<endl;
   cout<<"Compton wavelength h/mec       |         |      =   2.426 310 215(18)10^(-12) m"<<endl;
   cout<<"proton-electron mass ratio     |mp/me    |      =   1 836.152 6675(39)"<<endl;
   cout<<"molar gas constant             |R        |      =   8.314 472(15) J /mol K"<<endl;
   cout<<"Boltzmann constant             |R/NA (k) |      =   1.380 6503(24) * 10^(-23) J/K"<<endl;
   cout<<"Stefan-Boltzmann constant      |sigma    |      =   5.670 400(40) * 10^(-8) W /m(K^4)"<<endl;
   cout<<"Wien displacement law constant |b        |      =   2.897 7686(51) * 10^(-3) mK"<<endl;
   cout<<"pie                            |         |      =   3.141592654"<<endl;
   cout<<"euler number                   |e        |      =   2.718281828"<<endl;
   break;
}

    if(x[i]>=190&&x[i]<=240&&y[i]<=550&&y[i]>=510)
        //of plus sign
            {
               // closeCanvas();

            operator_value=i;
           // new_value='+';
            centreText=35+10*i;
            tdisplay[i].reset(centreText,110,"+");
                for(l=0;l<i;l++)
                {
                    if(x[l]>=70&&x[l]<=120&&y[l]>=560&&y[l]<=600)                                                         //for decimal part
                        {
                         decimal_value1a=l;break;
                        }
                    else
                        {
                            if(decimal_value1a!=operator_value)
                            {decimal_value1a=operator_value;}
                            else continue;
                        }
                }

            }

    else if((x[i]>=250&&x[i]<=300&&y[i]<=550&&y[i]>=510))                                   //of minus sign
            {

                operator_value=i;centreText=35+10*i;

                tdisplay[i].reset(centreText,110,"-");
                for(l=0;l<i;l++)
                {
                    if(x[l]>=70&&x[l]<=120&&y[l]>=560&&y[l]<=600)
                        {
                         decimal_value1a=l;break;
                        }
                    else
                        {
                            if(decimal_value1a!=operator_value)
                            {decimal_value1a=operator_value;}
                            else continue;
                        }
                }
            }
    else if((x[i]>=190&&x[i]<=240&&y[i]<=500&&y[i]>=460))                                  //for multiply
            {
                operator_value=i;centreText=35+10*i;

                tdisplay[i].reset(centreText,110,"*");
                for(l=0;l<i;l++)
                {
                    if(x[l]>=70&&x[l]<=120&&y[l]>=560&&y[l]<=600)
                        {
                         decimal_value1a=l;break;
                        }
                    else
                        {
                            if(decimal_value1a!=operator_value)
                            {decimal_value1a=operator_value;}
                            else continue;
                        }
                }

            }
    else if((x[i]>=250&&x[i]<=300&&y[i]<=500&&y[i]>=460))                                  //for division
            {
                operator_value=i;centreText=35+10*i;

                tdisplay[i].reset(centreText,110,"/");
                for(l=0;l<i;l++)
                {
                    if(x[l]>=70&&x[l]<=120&&y[l]>=560&&y[l]<=600)
                        {
                         decimal_value1a=l;break;
                        }
                    else
                        {
                            if(decimal_value1a!=operator_value)
                            {decimal_value1a=operator_value;}
                            else continue;
                        }
                }
            }
    else if(y[i]<=600&&y[i]>=560&&x[i]<=120&&x[i]>=70)                                      //for decimal place
        {centreText=35+10*i;

            tdisplay[i].reset(centreText,110,".");
        }
    else if(x[i]<=120&&x[i]>=70&&y[i]>=310&&y[i]<=350)                                     //for ln value
        {
            centreText=23+25*i;
            tdisplay[i].reset(centreText,110,"ln");
            lnFunc_value=i;
            accessFunc=lnFunc_value;
        }
    else if(x[i]>=130&&x[i]<=180&&y[i]>=310&&y[i]<=350)
        {
            centreText=23+25*i;

            tdisplay[i].reset(centreText,110,"log");                                          //for logrithmic functions
            logFunc_value=i;
            accessFunc=logFunc_value;
        }
    else if(x[i]>=10&&x[i]<=60&&y[i]>=310&&y[i]<=350)                                       //for exponential functions
        {centreText=23+25*i;

          tdisplay[i].reset(centreText,110,"e^");

          expFunc_value=i;
          accessFunc=expFunc_value;
        }
    else if(x[i]>=250&&x[i]<=300&&y[i]>=560&&y[i]<=600)                                     //for percentage function
        {
            centreText=29+15*i;
            tdisplay[i].reset(centreText,110,"%");
            percent_value=i;
            accessFunc=percent_value;
        }
    else if(
                    (x[i]>=10&&x[i]<=60&&y[i]<=600&&y[i]>=560)||                             //for0
                    (x[i]>=10&&x[i]<=60&&y[i]<=550&&y[i]>=510)||                              //for 1
                    (x[i]>=70&&x[i]<=120&&y[i]<=550&&y[i]>=510)||                               //for 2
                    (x[i]>=130&&x[i]<=180&&y[i]<=550&&y[i]>=510)||                         //for 3
                    (x[i]>=10&&x[i]<=60&&y[i]<=500&&y[i]>=460)||                           //for 4
                    (x[i]>=70&&x[i]<=120&&y[i]<=500&&y[i]>=460)||                            //for 5
                    (x[i]>=130&&x[i]<=180&&y[i]<=500&&y[i]>=460)||                         //for 6
                    (x[i]>=10&&x[i]<=60&&y[i]<=450&&y[i]>=410)||                           //for 7
                    (x[i]>=70&&x[i]<=120&&y[i]<=450&&y[i]>=410)||                           //for 8
                    (x[i]>=130&&x[i]<=180&&y[i]<=450&&y[i]>=410)                           //for 9
            )
                {
                    centreText=35+10*i;
                tdisplay[i].reset(centreText,110,getnumber(x[i],y[i]));wait(0.025);
                }
    else if(y[i]<=600&&y[i]>=560&&x[i]<=240&&x[i]>=190)
            {
                centreText=50+10*i;
                     tdisplay[i].reset(centreText,110,"=");
                     equal_value=i;
                     wait(0.025);
                                                                                                        //for =
           for(int pj=0;pj<i;pj++)
           {
               if((x[pj]>=190&&x[pj]<=240&&y[pj]<=550&&y[pj]>=510) ||
                  (x[pj]>=250&&x[pj]<=300&&y[pj]<=550&&y[pj]>=510) ||
                  (x[pj]>=190&&x[pj]<=240&&y[pj]<=500&&y[pj]>=460) ||
                  (x[pj]>=250&&x[pj]<=300&&y[pj]<=500&&y[pj]>=460)
                  )
               {


                for(int zz=operator_value+1;zz<equal_value;zz++)                               //pj
                     {
                         if(x[zz]>=70&&x[zz]<=120&&y[zz]>=560&&y[zz]<=600)                     //for decimal place
                         {
                             decimal_value2a=zz;break;
                         }
                         else
                         {
                             if(decimal_value2a!=equal_value)
                                {decimal_value2a=equal_value;}
                             else continue;
                         }
                     }
                     break;
               }
               else if((x[pj]>=70&&x[pj]<=120&&y[pj]>=225&&y[pj]<=285))
               {
                   for(int ll=sinofunc_value+1;ll<i;ll++)                   //pj
                   {
                      if(x[ll]>=70&&x[ll]<=120&&y[ll]>=560&&y[ll]<=600)
                      {
                          decimal_value1a=ll;break;
                      }
                      else
                      {

                             if(decimal_value1a!=equal_value)
                             {decimal_value1a=equal_value;}
                             else continue;
                      }
                   }

               }
                else if((x[pj]>=130&&x[pj]<=180&&y[pj]>=225&&y[pj]<=285)   )
               {
                   for(int ll=coso_value+1;ll<i;ll++)               //pj
                   {
                      if(x[ll]>=70&&x[ll]<=120&&y[ll]>=560&&y[ll]<=600)
                      {
                          decimal_value1a=ll;break;
                      }
                      else
                      {

                             if(decimal_value1a!=equal_value)
                             {decimal_value1a=equal_value;}
                             else continue;
                      }
                   }

               }
               else if((x[pj]>=190&&x[pj]<=240&&y[pj]>=225&&y[pj]<=285)   )
               {
                   for(int ll=tano_value+1;ll<i;ll++)               //pj
                   {
                      if(x[ll]>=70&&x[ll]<=120&&y[ll]>=560&&y[ll]<=600)
                      {
                          decimal_value1a=ll;break;
                      }
                      else
                      {

                             if(decimal_value1a!=equal_value)
                             {decimal_value1a=equal_value;}
                             else continue;
                      }
                   }

               }
               else if((x[pj]>=10&&x[pj]<=60&&y[pj]>=310&&y[pj]<=350)   )
               {
                   for(int ll=expFunc_value+1;ll<i;ll++)               //pj
                   {
                      if(x[ll]>=70&&x[ll]<=120&&y[ll]>=560&&y[ll]<=600)
                      {
                          decimal_value1a=ll;break;
                      }
                      else
                      {

                             if(decimal_value1a!=equal_value)
                             {decimal_value1a=equal_value;}
                             else continue;
                      }
                   }

               }
               else if((x[pj]>=130&&x[pj]<=180&&y[pj]>=310&&y[pj]<=350)   )
               {
                   for(int ll=logFunc_value+1;ll<i;ll++)               //pj
                   {
                      if(x[ll]>=70&&x[ll]<=120&&y[ll]>=560&&y[ll]<=600)
                      {
                          decimal_value1a=ll;break;
                      }
                      else
                      {

                             if(decimal_value1a!=equal_value)
                             {decimal_value1a=equal_value;}
                             else continue;
                      }
                   }

               }
               else if((x[pj]>=70&&x[pj]<=120&&y[pj]>=310&&y[pj]<=350)   )
               {
                   for(int ll=lnFunc_value+1;ll<i;ll++)               //pj
                   {
                      if(x[ll]>=70&&x[ll]<=120&&y[ll]>=560&&y[ll]<=600)
                      {
                          decimal_value1a=ll;break;
                      }
                      else
                      {

                             if(decimal_value1a!=equal_value)
                             {decimal_value1a=equal_value;}
                             else continue;
                      }
                   }

               }
               else if((x[pj]>=250&&x[pj]<=300&&y[pj]>=560&&y[pj]<=600)   )
               {
                   for(int ll=lnFunc_value+1;ll<i;ll++)               //pj
                   {
                      if(x[ll]>=70&&x[ll]<=120&&y[ll]>=560&&y[ll]<=600)
                      {
                          decimal_value1a=ll;break;
                      }
                      else
                      {

                             if(decimal_value1a!=equal_value)
                             {decimal_value1a=equal_value;}
                             else continue;
                      }
                   }

               }
           }
                break;
            }
    else if(x[i]>=70&&x[i]<=120&&y[i]>=225&&y[i]<=285)                                 //sine part
            {centreText=23+25*i;
                    tdisplay[i].reset(centreText,110,"Sin");
                    sinofunc_value=i;
                    accessFunc=sinofunc_value;

            }

    else if(x[i]>=130&&x[i]<=180&&y[i]>=225&&y[i]<=285)                                    //for cosine function
            {
                centreText=23+25*i;

                    tdisplay[i].reset(centreText,110,"Cos");
                    coso_value=i;
                    accessFunc=coso_value;
            }
    else if(x[i]>=190&&x[i]<=240&&y[i]>=225&&y[i]<=285)                                     //for tan of an angle
            {centreText=23+25*i;

                    tdisplay[i].reset(centreText,110,"tan");
                    tano_value=i;
                    accessFunc=tano_value;
            }

            //else if((x[i]>=10&&x[i]<=60&&y[i]>=225&&y[i]<=285)&&(x[i+1]>=70&&x[i+1]<=120&&y[i+1]>=225&&y[i+1]<=285)){tdisplay[i].reset(25+10*i,110,"Sin_inv");wait(0.5);}

}
//8888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888
//8888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888


        if(x[operator_value]>=190&&x[operator_value]<=240&&y[operator_value]<=550&&y[operator_value]>=510)                                  //for addition
             {
                 for(int jo=0;jo<decimal_value1a;jo++)
                 {
                    sum_int1a+=((getnumber(x[jo],y[jo]))*(ten_power(jo,decimal_value1a)));     //net=6
                 }
                 if(decimal_value1a==operator_value)
                    {sum_fraction1a=0.0;}
                 else
                {
                     for(int jk=decimal_value1a+1;jk<operator_value;jk++)
                     {
                           sum_fraction1a+=((getnumber(x[jk],y[jk]))*(inverseten_power(decimal_value1a,operator_value,jk)));
                     }
                }
                 for(int ch=operator_value+1;ch<decimal_value2a;ch++)
                 {
                     sum_int2a+=(getnumber(x[ch],y[ch])*ten_power(ch,decimal_value2a));
                 }
                 if(decimal_value2a==equal_value){sum_fraction2a=0.0;}
                 else
                {
                     for(int hc=decimal_value2a+1;hc<equal_value;hc++)
                    {
                           sum_fraction2a+=(getnumber(x[hc],y[hc])*inverseten_power(decimal_value2a,equal_value,hc));

                    }
                }
                 addresult=sum_fraction1a+sum_fraction2a+(sum_int1a)+(sum_int2a);centreText=45+15*(equal_value+1);
                tdisplay[equal_value+1].reset(centreText,110,addresult);wait(2);
             }
//88888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888
              if(x[operator_value]>=250&&x[operator_value]<=300&&y[operator_value]<=550&&y[operator_value]>=510)       //for substraction
        {
                for(int jo=0;jo<decimal_value1a;jo++)
                         {
                            sum_int1a+=((getnumber(x[jo],y[jo])*(ten_power(jo,decimal_value1a))));
                         }
                if(decimal_value1a==operator_value)
                    {sum_fraction1a=0.0;}
                else
                    {
                        for(int jk=decimal_value1a+1;jk<operator_value;jk++)
                        {
                            sum_fraction1a+=(getnumber(x[jk],y[jk]))*inverseten_power(decimal_value1a,operator_value,jk);
                        }
                    }
                for(int ch=operator_value+1;ch<decimal_value2a;ch++)
                    {
                        sum_int2a+=(getnumber(x[ch],y[ch])*ten_power(ch,decimal_value2a));
                    }
                if(decimal_value2a==equal_value){sum_fraction2a=0.0;}
                else
                    {
                            for(int hc=decimal_value2a+1;hc<equal_value;hc++)
                        {
                            sum_fraction2a+=(getnumber(x[hc],y[hc])*inverseten_power(decimal_value2a,equal_value,hc));
                        }
                    }
            double subresult=(sum_int1a-sum_int2a)+(sum_fraction1a-sum_fraction2a);
            centreText=45+15*(equal_value+1);

            tdisplay[equal_value+1].reset(centreText,110,subresult);wait(2);
        }




//88888888888888888888888888888888888888888888888888888888888888888888888888888888888

          if((x[accessFunc]>=70&&x[accessFunc]<=120&&y[accessFunc]>=225&&y[accessFunc]<=285))
        {
//            for(m=sinofunc_value+1;m<equal_value;m++)
//                {
//                                  //for sine of an angle in radian
//                }
//            sine_value=sine_of_angle(number);
//            tdisplay[equal_value+1].reset(175,110,sine_value);
           for(int jo=accessFunc+1;jo<decimal_value1a;jo++)
                 {
                    sum_int1a+=((getnumber(x[jo],y[jo]))*(ten_power(jo,decimal_value1a)));     //net=6
                 }
            if(decimal_value1a==equal_value)
                {
                    sum_fraction1a=0.0;
                }
            else
                {
                     for(int jk=decimal_value1a+1;jk<equal_value;jk++)
                     {
                           sum_fraction1a+=((getnumber(x[jk],y[jk]))*(inverseten_power(decimal_value1a,equal_value,jk)));
                     }
                }
                double numsin=0.0;numsin=sum_fraction1a+sum_int1a;
            sine_value=sine_of_angle(numsin);
            centreText=175;
            tdisplay[equal_value+1].reset(centreText,110,sine_value);sum_fraction1a=0.0;sum_int1a=0;accessFunc=0; wait(5);
        }

//8888888888888888888888888888888888888888888888888888888888888888888888888888888888
   if(x[accessFunc]>=130&&x[accessFunc]<=180&&y[accessFunc]>=225&&y[accessFunc]<=285)
       {
         for(int jo=accessFunc+1;jo<decimal_value1a;jo++)
                         {
                            sum_int1a+=(getnumber(x[jo],y[jo])*ten_power(jo,decimal_value1a));
                         }
                if(decimal_value1a==equal_value)
                    {sum_fraction1a=0.0;}
                else
                    {
                        for(int jk=decimal_value1a+1;jk<equal_value;jk++)
                        {
                            sum_fraction1a+=((getnumber(x[jk],y[jk]))*inverseten_power(decimal_value1a,equal_value,jk));
                        }
                    }
            double cosnum=0.0;cosnum=sum_int1a+sum_fraction1a;
            double cos_value=cosine_of_angle(cosnum);
               centreText=175;
            tdisplay[equal_value+1].reset(centreText,110,cos_value);
            accessFunc=0;sum_fraction1a=0.0;sum_int1a=0; wait(5);
       }
//888888888888888888888888888888888888888888888888888888888888888888888888888888
    if(x[accessFunc]>=190&&x[accessFunc]<=240&&y[accessFunc]>=225&&y[accessFunc]<=285)
       {
         for(int jo=accessFunc+1;jo<decimal_value1a;jo++)
                         {
                            sum_int1a+=(getnumber(x[jo],y[jo])*ten_power(jo,decimal_value1a));
                         }
                if(decimal_value1a==equal_value)
                    {sum_fraction1a=0.0;}
                else
                    {
                        for(int jk=decimal_value1a+1;jk<equal_value;jk++)
                        {
                            sum_fraction1a+=((getnumber(x[jk],y[jk]))*inverseten_power(decimal_value1a,equal_value,jk));
                        }
                    }
            double tannum=0.0;tannum=sum_int1a+sum_fraction1a;
            double tan_value=tan(tannum);
               centreText=175;
            tdisplay[equal_value+1].reset(centreText,110,tan_value);
            accessFunc=0;sum_fraction1a=0.0; wait(5);
        }
//88888888888888888888888888888888888888888888888888888888888888888888888888888888888888888


//8888888888888888888888888888888888888888888888888888888888888888888888888888888888



       if(x[operator_value]>=190&&x[operator_value]<=240&&y[operator_value]<=500&&y[operator_value]>460)
       {
         for(int jo=0;jo<decimal_value1a;jo++)
                         {
                            sum_int1a+=(getnumber(x[jo],y[jo])*ten_power(jo,decimal_value1a));
                         }
                if(decimal_value1a==operator_value)
                    {sum_fraction1a=0.0;}
                else
                    {
                        for(int jk=decimal_value1a+1;jk<operator_value;jk++)
                        {
                            sum_fraction1a+=(getnumber(x[jk],y[jk]))*inverseten_power(decimal_value1a,operator_value,jk);
                        }
                    }
                for(int ch=operator_value+1;ch<decimal_value2a;ch++)
                    {
                        sum_int2a+=(getnumber(x[ch],y[ch])*ten_power(ch,decimal_value2a));
                    }
                if(decimal_value2a==equal_value){sum_fraction2a=0.0;}
                else
                    {
                            for(int hc=decimal_value2a+1;hc<equal_value;hc++)
                        {
                            sum_fraction2a+=(getnumber(x[hc],y[hc])*inverseten_power(decimal_value2a,equal_value,hc));
                        }
                    }
            double multresult=((sum_int1a+sum_fraction1a)*(sum_int2a+sum_fraction2a));
            centreText=35+15*(equal_value+1);
            tdisplay[equal_value+1].reset(centreText,110,multresult);wait(2);
       }
//8888888888888888888888888888888888888888888888888888888888888888888888888888888888
       if(x[operator_value]>=250&&x[operator_value]<=300&&y[operator_value]<=500&&y[operator_value]>460)
       {
         for(int jo=0;jo<decimal_value1a;jo++)
                         {
                            sum_int1a+=(getnumber(x[jo],y[jo])*ten_power(jo,decimal_value1a));
                         }
                if(decimal_value1a==operator_value)
                    {sum_fraction1a=0.0;}
                else
                    {
                        for(int jk=decimal_value1a+1;jk<operator_value;jk++)
                        {
                            sum_fraction1a+=(getnumber(x[jk],y[jk]))*inverseten_power(decimal_value1a,operator_value,jk);
                        }
                    }
                for(int ch=operator_value+1;ch<decimal_value2a;ch++)
                    {
                        sum_int2a+=(getnumber(x[ch],y[ch])*ten_power(ch,decimal_value2a));
                    }
                if(decimal_value2a==equal_value){sum_fraction2a=0.0;}
                else
                    {
                            for(int hc=decimal_value2a+1;hc<equal_value;hc++)
                        {
                            sum_fraction2a+=(getnumber(x[hc],y[hc])*inverseten_power(decimal_value2a,equal_value,hc));
                        }
                    }
            double diviresult=((sum_int1a+sum_fraction1a)/(sum_int2a+sum_fraction2a));
                        centreText=35+15*(equal_value+1);

            tdisplay[equal_value+1].reset(centreText,110,diviresult);wait(2);
       }
//8888888888888888888888888888888888888888888888888888888888888888888888888888888888
       if(x[accessFunc]>=70&&x[accessFunc]<=120&&y[accessFunc]>=310&&y[accessFunc]<=350)
       {
         for(int jo=accessFunc+1;jo<decimal_value1a;jo++)
                         {
                            sum_int1a+=(getnumber(x[jo],y[jo])*ten_power(jo,decimal_value1a));
                         }
                if(decimal_value1a==equal_value)
                    {sum_fraction1a=0.0;}
                else
                    {
                        for(int jk=decimal_value1a+1;jk<equal_value;jk++)
                        {
                            sum_fraction1a+=((getnumber(x[jk],y[jk]))*inverseten_power(decimal_value1a,equal_value,jk));
                        }
                    }
            double lnnum=0.0;lnnum=sum_int1a+sum_fraction1a;
            double ln_value=ln(lnnum);
              centreText=175;
            tdisplay[equal_value+1].reset(centreText,110,ln_value);
            accessFunc=0;sum_fraction1a=0.0;sum_int1a=0; wait(5);
       }
//8888888888888888888888888888888888888888888888888888888888888888888888888888888888
       if(x[accessFunc]>=130&&x[accessFunc]<=180&&y[accessFunc]>=310&&y[accessFunc]<=350)
       {
         for(int jo=accessFunc+1;jo<decimal_value1a;jo++)
                         {
                            sum_int1a+=(getnumber(x[jo],y[jo])*ten_power(jo,decimal_value1a));
                         }
                if(decimal_value1a==equal_value)
                    {sum_fraction1a=0.0;}
                else
                    {
                        for(int jk=decimal_value1a+1;jk<equal_value;jk++)
                        {
                            sum_fraction1a+=((getnumber(x[jk],y[jk]))*inverseten_power(decimal_value1a,equal_value,jk));
                        }
                    }
            double lognum=0.0;lognum=sum_int1a+sum_fraction1a;
            double log_value=logritm(lognum);
              centreText=175;
            tdisplay[equal_value+1].reset(centreText,110,log_value);
            accessFunc=0;sum_fraction1a=0.0;sum_int1a=0; wait(5);
       }
//88888888888888888888888888888888888888888888888888888888888888888888888888888888888888
     if(x[accessFunc]>=10&&x[accessFunc]<=60&&y[accessFunc]>=310&&y[accessFunc]<=350)
       {
         for(int jo=accessFunc+1;jo<decimal_value1a;jo++)
                         {
                            sum_int1a+=(getnumber(x[jo],y[jo])*ten_power(jo,decimal_value1a));
                         }
                if(decimal_value1a==equal_value)
                    {sum_fraction1a=0.0;}
                else
                    {
                        for(int jk=decimal_value1a+1;jk<equal_value;jk++)
                        {
                            sum_fraction1a+=((getnumber(x[jk],y[jk]))*inverseten_power(decimal_value1a,equal_value,jk));
                        }
                    }
            double expnum=0.0;expnum=sum_int1a+sum_fraction1a;
            double exp_value=exp(expnum);
              centreText=175;
            tdisplay[equal_value+1].reset(centreText,110,exp_value);
            accessFunc=0;sum_fraction1a=0.0;sum_int1a=0; wait(5);
       }
//88888888888888888888888888888888888888888888888888888888888888888888888888888888888888888
    if(x[accessFunc]>=250&&x[accessFunc]<=300&&y[accessFunc]>=560&&y[accessFunc]<=600)
       {
         for(int jo=accessFunc+1;jo<decimal_value1a;jo++)
                         {
                            sum_int1a+=(getnumber(x[jo],y[jo])*ten_power(jo,decimal_value1a));
                         }
                if(decimal_value1a==equal_value)
                    {sum_fraction1a=0.0;}
                else
                    {
                        for(int jk=decimal_value1a+1;jk<equal_value;jk++)
                        {
                            sum_fraction1a+=((getnumber(x[jk],y[jk]))*inverseten_power(decimal_value1a,equal_value,jk));
                        }
                    }
            double num=sum_int1a+sum_fraction1a;
            double percentage=num/100;
              centreText=175;
            tdisplay[equal_value+1].reset(centreText,110,percentage);
            accessFunc=0;sum_fraction1a=0.0;sum_int1a=0; wait(5);
       }


}


